CLS
@ECHO OFF

@ECHO ------------------------: >> ..\log.txt
Date /t >> ..\log.txt
Time /t >> ..\log.txt
@ECHO ------------------------: >> ..\log.txt
 
@ECHO ------------------------: "Check FW version presently" >> ..\log.txt
@ECHO ------------------------: "Check FW version presently"

ChkRev.exe %3 >> ..\log.txt
ChkRev.exe %3
if %errorlevel% == 1 goto CNF9011

ChkRev.exe %5 >> ..\log.txt
ChkRev.exe %5
if %errorlevel% == 1 goto CNF8041

ChkRev.exe %7 >> ..\log.txt
ChkRev.exe %7
if %errorlevel% == 1 goto CNF8062

@ECHO ------------------------: "Device didn't exist" >> ..\log.txt
@ECHO ------------------------: "Device didn't exist"
goto End

:CNF9011
:CNF8062
if %1 == -0 goto 8062_Install_normal
if %1 == -1 goto 8062_Install_silent
if %1 == -2 goto 8062_UnInstall_Normal
if %1 == -3 goto 8062_UnInstall_silent
goto End

:8062_Install_normal
@ECHO ------------------------: %2 >> ..\log.txt
@ECHO ------------------------: %2
@ECHO ------------------------: "Install Sonix driver" >> ..\log.txt
@ECHO ------------------------: "Install Sonix driver"
"..\Driver\%2\setup.exe" > result.txt
goto End

:8062_Install_silent
@ECHO ------------------------: %2 >> ..\log.txt
@ECHO ------------------------: %2
@ECHO ------------------------: "Silent Install Sonix driver" >> ..\log.txt
@ECHO ------------------------: "Silent Install Sonix driver"
"..\Driver\%2\setup.exe" -s > result.txt
goto End

:8062_UnInstall_Normal
@ECHO ------------------------: %2 >> ..\log.txt
@ECHO ------------------------: %2
@ECHO ------------------------: "UnInstall Sonix driver" >> ..\log.txt
@ECHO ------------------------: "UnInstall Sonix driver"
"..\Driver\%2\setup.exe" -removeonly > result.txt
goto End

:8062_UnInstall_silent
@ECHO ------------------------: %2 >> ..\log.txt
@ECHO ------------------------: %2
@ECHO ------------------------: "Silent UnInstall Sonix driver" >> ..\log.txt
@ECHO ------------------------: "Silent UnInstall Sonix driver"
"..\Driver\%2\setup.exe" -s -removeonly > result.txt
goto End

:CNF8041
if %1 == -0 goto 8041_Install_normal
if %1 == -1 goto 8041_Install_silent
if %1 == -2 goto 8041_UnInstall_Normal
if %1 == -3 goto 8041_UnInstall_silent
goto End

:8041_Install_normal
@ECHO ------------------------: %4 >> ..\log.txt
@ECHO ------------------------: %4
@ECHO ------------------------: "Install CNF8041 driver"  >> ..\log.txt
@ECHO ------------------------: "Install CNF8041 driver"
"..\Driver\%4\setup.exe" > result.txt
goto End

:8041_Install_silent
@ECHO ------------------------: %4 >> ..\log.txt
@ECHO ------------------------: %4
@ECHO ------------------------: "Silent Install CNF8041 driver"  >> ..\log.txt
@ECHO ------------------------: "Silent Install CNF8041 driver"
"..\Driver\%4\setup.exe" -s > result.txt
goto End

:8041_UnInstall_Normal
@ECHO ------------------------: %4 >> ..\log.txt
@ECHO ------------------------: %4
@ECHO ------------------------: "UnInstall CNF8041 driver"  >> ..\log.txt
@ECHO ------------------------: "UnInstall CNF8041 driver"
"..\Driver\%4\setup.exe" -u > result.txt
goto End

:8041_UnInstall_silent
@ECHO ------------------------: %4 >> ..\log.txt
@ECHO ------------------------: %4
@ECHO ------------------------: "Silent UnInstall CNF8041 driver"  >> ..\log.txt
@ECHO ------------------------: "Silent UnInstall CNF8041 driver"
"..\Driver\%4\setup.exe" -s -u > result.txt
goto End

:End




